Home > Error Code > Ubuntu Dpkg Error Code 2

Ubuntu Dpkg Error Code 2

Contents

Thanks1. Beans 6,923 DistroUbuntu Re: E: Sub-process /usr/bin/dpkg returned an error code (2) Open up gedit and then select Open, then select file system, then select var, then lib, the dpkg, then tried to run from webmin and ssh command-line both. How to align subfloats in multirows within tabularx Where Is the Lugang Glass Temple? have a peek here

Comments on this entry are closed. up vote 3 down vote favorite Every time I try to install or remove a package, I get this error. I tried again, but found I had a corrupted /var/lib/dpkg/available file. Code: $ sudo apt-get update && sudo apt-get upgrade Hit http://dl.google.com stable Release.gpg Hit http://dl.google.com stable Release Hit http://us.archive.ubuntu.com raring Release.gpg Get:1 http://security.ubuntu.com raring-security Release.gpg [933 B] Get:2 http://us.archive.ubuntu.com raring-updates Release.gpg

Sub-process /usr/bin/dpkg Returned An Error Code (2) Cydia

Word for nemesis that does not refer to a person How might the actions of descendants matter for their ancestors? (reverse causality) Is there a directory equivalent of /dev/null in Linux? Beans 6,923 DistroUbuntu Re: E: Sub-process /usr/bin/dpkg returned an error code (2) No matter. A task that is solvable in polynomial time but not verifiable in polynomial time Most useful knowledge from the 30's to understand current state of computers & networking? Done Correcting dependencies...

If :any occurs in dependency lines (Depends: … wine1.6:any … or Recommends: … or Suggests: … or Conflicts: …), remove it there too. [email protected] ~ $ sudo apt-get install bluefish Reading package lists... The poster replied: dpkg -i bluefish gave me this error dpkg: error: reading package info file '/var/lib/dpkg/available': Input/output error This suggests that the problem is almost certainly hardware related. "Input/output error" Could Not Exec Dpkg! Last edited by ibjsb4; August 25th, 2013 at 10:15 PM.

For details and our forum data attribution, retention and privacy policy, see here Ubuntu tips, tricks and solutions Home About Contact Follow Us: Failed Ubuntu apt-get upgrade corrupts the available file I go back a bit to find that /var/cashe doesn't exist. Is there a directory equivalent of /dev/null in Linux? Looking at that you perhaps installed "Wine" via the Wine PPA ..

Done The following packages were automatically installed and are no longer required: gnome-exe-thumbnailer libcapi20-3 libnss-winbind libosmesa6 libpam-winbind linux-headers-3.8.0-26 linux-headers-3.8.0-26-generic linux-image-3.8.0-26-generic linux-image-extra-3.8.0-26-generic p7zip ttf-droid ttf-liberation ttf-umefont ttf-unfonts-core winbind wine-gecko1.4 wine-gecko2.21 wine-mono0.0.8 wine1.5 Dpkg Repair Broken Packages What's the output of sudo dpkg -C? What are the downsides to multi-classing? I bet if you look into the directory "/etc/apt/sources.list.d" Code: ls -la /etc/apt/sources.list.d There is yet a "get" for "'wine1.6-i386" Please post that output.

Dpkg: Error Processing Package Mysql-server (--configure):

I had previously installed PlayOnLinux, but I never got anything to work on it. http://lifeonubuntu.com/failed-ubuntu-apt-get-upgrade-corrupts-the-available-file/ Error in shell bracket test when string is a left-parenthesis Will Panharmonicon entering the battlefield duplicate ETBs it triggers? Sub-process /usr/bin/dpkg Returned An Error Code (2) Cydia How should I tell my employer? Fix Dpkg Error Code 1 Trying to recover: After trying: http://askubuntu.com/a/603305/1992 Update2: Seems the drive has bad sectors, but the reallocated sector count is 0.

Does a Dragon's Wing Attack movement provoke Attacks of Opportunity? http://dwoptimize.com/error-code/usb-error-code-0.html Not the answer you're looking for? What is the Maximum Type Depth? Edit the file /var/lib/dpkg/status in a text editor: sudoedit /var/lib/dpkg/status Go to line 4794 and change Package: wine1.6:any to Package: wine1.6 Check the directory /var/lib/dpkg/info for files whose name begins with Dpkg: Unrecoverable Fatal Error, Aborting:

Life's Legos Lost Unable to complete a task at work. Are two standard normal random variables always independent? and so forth. Check This Out Splat Double Splat Triple Splat Earn Your Keep Don't mind me, I'm only passing through.

What are the downsides to multi-classing? Subprocess Installed Post-installation Script Returned Error Exit Status 2 After this operation, 3,360 kB of additional disk space will be used. Tango Icons Tango Desktop Project.

I don't have anything terribly important saved on the hard drive, would it just be easier to reinstall lubuntu? –TheUnicornCow Mar 2 '15 at 15:27 2 Please explain why have

asked 1 year ago viewed 11322 times active 1 month ago Visit Chat Related 0help! Error in shell bracket test when string is a left-parenthesis more hot questions question feed about us tour help blog chat data legal privacy policy work here advertising info mobile contact After trying sudo apt-get upgrade I got the same exact error: Preconfiguring packages ... E: Unmet Dependencies. Try Using -f. If someone knows something i would appreciate it if he posted it, the creator of this post probably wants his problem solved (and maybe i can do something with it to).

gracias +1 0 -1 Inicie sesión o regístrese para comentar +1 0 -1 Prueba con: Gabriel_M Sáb, 23/05/2015 - 23:39 Desde Synaptic habilita los repositorios de fuentes, deshabilita si has habilitado Not the answer you're looking for? more stack exchange communities company blog Stack Exchange Inbox Reputation and Badges sign up log in tour help Tour Start here for a quick overview of the site Help Center Detailed this contact form share|improve this answer edited Aug 30 at 16:15 Jai Kumar Rajput 2,271831 answered Aug 14 '15 at 13:34 Basheer.O 516 add a comment| up vote 0 down vote Try this.

Ejecuta en ella: sudo -i apt-get update apt-get build-dep wesnoth dpkg -i *.deb +1 0 -1 Saludos. Not the answer you're looking for? Would you like to answer one of these unanswered questions instead? Right when I restarted the computer to perform a memtest I wasn't able to boot the disk.

That would of removed the meta-package from the repositories. I installed Linux Mint 17 two days ago and every time after a reboot there is some kind of problem with packages. Join them; it only takes a minute: Sign up Here's how it works: Anybody can ask a question Anybody can answer The best answers are voted up and rise to the That was when the updates was listed on my webmin console a little time ago, didn't make the update and leave it so.

Help my maniacal wife decorate our Christmas tree Word for nemesis that does not refer to a person Does a Dragon's Wing Attack movement provoke Attacks of Opportunity? Type in line 4794. How to properly localize numbers? How should I tell my employer?

Then : sudo apt-get update && sudo apt-get dist-upgrade sudo dpkg --clear-avail sudo apt-get update && sudo apt-get dist-upgrade (Source) share|improve this answer edited May 4 at 1:15 David Foerster 12k103358 share|improve this answer answered Jul 12 '15 at 6:33 orvi 639623 add a comment| up vote 0 down vote You can fix this problem with this command: sudo apt-get remove --purge more stack exchange communities company blog Stack Exchange Inbox Reputation and Badges sign up log in tour help Tour Start here for a quick overview of the site Help Center Detailed current community chat Stack Overflow Meta Stack Overflow your communities Sign up or log in to customize your list.

apt dpkg share|improve this question edited Mar 31 '15 at 4:44 asked Mar 30 '15 at 21:31 RolandiXor♦ 41.5k21121216 add a comment| 1 Answer 1 active oldest votes up vote 4